be.vlaanderen.mercurius.mohm.schemas.v1

## Class ReportDeliveryResponseType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.ReportDeliveryResponseType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class ReportDeliveryResponseType
      extends Object
      implements Serializable

  Groeperend element voor het antwoord op de melding van een aflevering.

  Java class for ReportDeliveryResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ReportDeliveryResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType" minOccurs="0"/>
               <choice>
                 <element name="Accepted" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ReportDeliveryAcceptedType"/>
                 <element name="NotAccepted" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ReportDeliveryNotAcceptedType"/>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportDeliveryResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReportDeliveryAcceptedType` | `getAccepted()` Gets the value of the accepted property.
    `ReportDeliveryNotAcceptedType` | `getNotAccepted()` Gets the value of the notAccepted property.
    `String` | `getVSBReference()` Gets the value of the vsbReference property.
    `void` | `setAccepted(ReportDeliveryAcceptedType value)` Sets the value of the accepted property.
    `void` | `setNotAccepted(ReportDeliveryNotAcceptedType value)` Sets the value of the notAccepted property.
    `void` | `setVSBReference(String value)` Sets the value of the vsbReference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportDeliveryResponseType

          public ReportDeliveryResponseType()

  - ### Method Detail

    - #### getVSBReference

          public String getVSBReference()

      Gets the value of the vsbReference property.
      Returns:
        possible object is `String`

    - #### setVSBReference

          public void setVSBReference(String value)

      Sets the value of the vsbReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNotAccepted

          public ReportDeliveryNotAcceptedType getNotAccepted()

      Gets the value of the notAccepted property.
      Returns:
        possible object is `ReportDeliveryNotAcceptedType`

    - #### setNotAccepted

          public void setNotAccepted(ReportDeliveryNotAcceptedType value)

      Sets the value of the notAccepted property.
      Parameters:
        `value` - allowed object is `ReportDeliveryNotAcceptedType`

    - #### getAccepted

          public ReportDeliveryAcceptedType getAccepted()

      Gets the value of the accepted property.
      Returns:
        possible object is `ReportDeliveryAcceptedType`

    - #### setAccepted

          public void setAccepted(ReportDeliveryAcceptedType value)

      Sets the value of the accepted property.
      Parameters:
        `value` - allowed object is `ReportDeliveryAcceptedType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.